Bug 1048716 - man page does not mention sub command remove
Summary: man page does not mention sub command remove
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: 20
Hardware: Unspecified Unspecified
unspecified
low
Target Milestone: ---
Assignee: Ales Kozumplik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-06 08:43 UTC by Lars E. Pettersson
Modified: 2014-09-30 23:42 UTC (History)
5 users (show)

Fixed In Version: dnf-0.4.11-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-11 08:47:52 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lars E. Pettersson 2014-01-06 08:43:54 UTC
Description of problem:

The man page for dnf does not mention remove, which is a valid sub command equal to erase.

Version-Release number of selected component (if applicable):

dnf-0.4.10-1.fc20.noarch

How reproducible:

Aways

Steps to Reproduce:
1. man dnf
2.
3.

Actual results:

$ man dnf | grep remove
              packages  depending  on   the   packages   being   removed.   If
              clean_requirements_on_remove   is  enabled  (the  default)  also
              removes any dependencies that are no longer needed.
       dnf [options] group remove [<group-spec>]

Expected results:

man dnf | grep remove
              packages  depending  on   the   packages   being   removed.   If
              clean_requirements_on_remove   is  enabled  (the  default)  also
              removes any dependencies that are no longer needed.
       dnf [options] group remove [<group-spec>]
       dnf [options] erase | remove <package-specs>...

Additional info:

Minor issue, but including remove clarifies the usage for those familiar with the 'yum remove' command.

Comment 1 Ales Kozumplik 2014-01-06 09:02:36 UTC
Fixed upstream by bbde07f, thanks for the report.

Comment 2 Fedora Update System 2014-01-09 14:39:48 UTC
dnf-0.4.11-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.11-1.fc20

Comment 3 lnie 2014-01-10 06:19:27 UTC
dnf-0.4.11-1.fc20 works

Comment 4 Fedora Update System 2014-01-10 07:59:59 UTC
Package dnf-0.4.11-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.11-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0573/dnf-0.4.11-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-01-11 08:47:52 UTC
dnf-0.4.11-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.